<CsoundSynthesizer>
<CsInstruments>
sr = 44100
kr = 4410
ksmps = 10
nchnls = 1
0dbfs = 1.0

instr 1
    ifn = p4
    isize = p5
    ithresh = p6
    
    itemp ftgen ifn, 0, isize, 21, 2

    iwrite_value = 0
    i_index = 0
    
    loop_start:
        iread_value tab_i i_index, ifn
    
        if iread_value > ithresh then
            iwrite_value = 1
        else
            iwrite_value = -1
        endif

        tabw_i iwrite_value, i_index, ifn

    loop_lt i_index, 1, isize, loop_start    
    
    turnoff
endin

instr 2
    ifn = p4
    isize = ftlen(ifn)    
    prints "Index\tValue\n"
    
    i_index = 0
    loop_start:
        ivalue tab_i i_index, ifn
        prints "%d:\t%f\n", i_index, ivalue

    loop_lt i_index, 1, isize, loop_start    
    
    turnoff
endin

</CsInstruments>
<CsScore>
i 1 0 1 100 16 0.5
i 2 0 1 100
</CsScore>
</CsoundSynthesizer>

